> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# API Actions

> Extend API operations with custom actions on the API connector.

Use actions to extend the set of operations on resources and to execute unrelated actions on the server. Actions must be executed as an [HTTP POST](./api-resources#post) request. The following is an example action invocation:

```
POST http://MyServer:MyPort/connector/MyAPIPortName/api.rsc/WashCar/
{
  Wax: "Wax_1"
}
```

Here is the corresponding response:

```json theme={null}
{"Complete": "Complete_1"} 
```

### Use URL Parameters as Input

In cases where the client does not support the HTTP POST method, you can invoke the Action using the URL parameters `@x-http-method`. The inputs for the Action can then be specified as additional URL parameters. For example:

`http://MyServer:MyPort/connector/MyAPIPortName/api.rsc/WashCar?@x-http-method=POST&URLparam1=my_url_parameter1&urlparam2=my_url_param2`
